<?php


namespace OrganizationsManagement\Api\ContractedModules\Services;


use Doctrine\DBAL\Exception;
use OrganizationsManagement\Api\ContractedModules\Repositories\OmProduto as OmProdutoRepository;
use OrganizationsManagement\Util\InstanceProvider;

class ContractedModules
{
    /**
     * @var OmProdutoRepository
     */
    private $omProdutoRepository;

    public function __construct(OmProdutoRepository $omProdutoRepository)
    {
        $this-> omProdutoRepository = $omProdutoRepository;
    }

    /**
     * @param $organizationId
     * @param $productId
     * @return array[]
     * @throws Exception
     */
    public function findModules($organizationId, $productId, $filterDtValidade = 'N'): array
    {
        $ids = array();
        $modues = $this->omProdutoRepository->findModules($organizationId, $productId, $filterDtValidade);
        foreach ($modues as $row) {
            $ids[] = $row['ID'];
        }
        return $ids;
    }
}
